<?php
    //基本モジュール呼び出し
    include_once("./lib/header.lib");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }

    if (!sizeof($ERROR)) {
        //アバター情報取得（性別取得のため）
        $return = $AVAFIT->get("avatar_call", array("client_key" => $site_key, "user_code" => $user_code));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $avatar = $return["value"];
            $sex = $avatar["SEX"];
        }

        //下記で使われる検索条件としての性別（「c」は共通、共通と利用者性別のアイテムだけを取得）
        $sex_cond = "sex:c".$sex;

        //カテゴリー取得
        $return = $AVAFIT->get("category_get", array("client_key"        => $site_key,
                                                     "set_kubun"         => 1,         // カテゴリーセット区分（ここでは第2組）
                                                     "parent_cate_index" => "",        // 親カテゴリーINDEX（ここでは設定なしにした）
                                                     "cond"              => $sex_cond, // 表示条件：性別が共通またはアバター自身の性別
                                                     "include_sub"       => true));    // サブカテゴリーを含む
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $category = $return["value"];
        }
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>