<?php
    //基本モジュール呼び出し
    include_once("./lib/header.lib");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }
    if ($action != "PUTOFF_CONFIRM") {
        $ERROR[] = "操作が指定されていません。";
    }

    if (!sizeof($ERROR)) {

        //アバターの呼び出し
        $return = $AVAFIT->get("avatar_call", array("client_key" => $site_key, "user_code" => $user_code));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $avatar = $return["value"];
            $avatar_url = $sel_svr_url . $avatar["HTML5_AVATAR_URL"] . "&w=192";
            $sex = $avatar["SEX"];
        }

        // Closetアイテム取得
        // 着用中アイテムを全て表示するため、独自のパラメータを設定
        $return = $AVAFIT->get("category_closet_item_get", array("client_key"    => $site_key,
                                                                 "user_code"     => $user_code,
                                                                 "set_kubun"     => 1,                 //カテゴリー組
                                                                 "cate_indexes"  => $f_cate,           //カテゴリーINDEX
                                                                 "page"          => false,             //表示ページ番号
                                                                 "pagePerRecord" => 100,               //アイテム表示数
                                                                 "cond"          => "status:puton",    //表示条件(着用中)
                                                                 "orderBy"       => "registdate DESC", //表示順
                                                                 "include_sub"   => true));            //サーブカテゴリー含む
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $closet_info = $return["value"];
            $closets = $closet_info["CLOSETS"];
        }
        //$actionに合わせて表示変更
        $kubun["PUTOFF_CONFIRM"] = array("TITLE"=>"アイテムを外す", "MESSAGE"=>"＜着用中のアイテム＞", "LINK"=>"着用から外す", "ACTION"=>"PUTOFF");
    }

    //共通ヘッダ
    html_header();

    // Closet処理後のメッセージ[着用解除のみ]
    // 2010/09/06 kohashi
    $rslt = (!empty($_GET["rslt"])) ? $_GET["rslt"] : null ;
    switch ($rslt){
        case "PUTOFFOK":
            $rsltmsg = "着用から外しました。";
            break;
        case "RESELECT":
            $rsltmsg = "外すアイテムを指定してください。";
            break;
        default:
            $rsltmsg = null;
    }

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>