<?php
/**
 * クローゼット：アイテム着用解除処理
 * ※アイテム着用と削除は「closet_result」で処理
 */

    //基本モジュール呼び出し
    include_once("./lib/header.lib");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }
    if ($action != "PUTOFF") {
        $ERROR[] = "操作が指定されていません。";
    }
    $goto = null;
    if (!$rmv) {
        // 外すアイテムの選択が無い場合は、着用解除ページに飛ばし、
        // アイテム未選択の警告を表示させる。
        $goto  = "http://".$_SERVER["HTTP_HOST"];
        $goto .= "/".str_replace($_SERVER["DOCUMENT_ROOT"],"",dirname(__FILE__))."/";
        $goto .= "closet_remove.php?".$params."&action=PUTOFF_CONFIRM&rslt=RESELECT&unq=".uniqid("_");
        // リダイレクト
        // 「ob_end_clean();」をリダイレクト前に宣言して、バッファリングをクリア
        ob_end_clean();
        header ('Location: '.$goto);
        exit;
    }

    if (!sizeof($ERROR)) {
        //選択された数だけアイテムを外す
        if ($action == "PUTOFF") {
            $offcnt = 0;
            while($offcnt < sizeof($rmv)){
                $return = $AVAFIT->get("avatar_item_putoff", array("client_key" => $site_key,
                                                                   "user_code"  => $user_code,
                                                                   "item_keys"  => $rmv[$offcnt],
                                                                   "dyna_cond"  => ""));
                if (!$return["result"]) {
                    $ERROR[] = $return["error_shot"];
                }
                $offcnt++;
            }
        }

        // 完了メッセージは転送先で表示させるため。
        // アクション後の転送先を設定。
        // サイトキー、ユーザコード、mdを付加する
        $goto  = $params."&action=PUTOFF_CONFIRM"."&rslt=PUTOFFOK&unq=".uniqid("_");
        // ドコモ不具合対策（http...と入れないとリダイレクトされないため）
        $gotodir = "http://".$_SERVER["HTTP_HOST"]."/".str_replace($_SERVER["DOCUMENT_ROOT"],"",dirname(__FILE__))."/";
        switch ($action){
            case "PUTOFF": // 着用解除ページへ飛ばす
                $goto = $gotodir."closet_remove.php?".$goto;
            break;
            default:
            break;
        }
        // リダイレクト
        // 「ob_end_clean();」をリダイレクト前に宣言して、バッファリングをクリア
        ob_end_clean();
        @header ("Location: ".$goto);
        exit;
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");

?>