<?php
    //基本モジュール呼び出し
    include_once("./lib/header.lib");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }
    if (!$item_key) {
        $ERROR[] = "「item_key」がありません。";
    }
    if (!$action) {
        $ERROR[] = "操作が指定されていません。";
    }

    //20101220 k
    $rtn_page = ($list_page)?$list_page:"closet";

    if (!sizeof($ERROR)) {
        //アイテム着用
        if ($action == "PUTON") {
            $return = $AVAFIT->get("avatar_item_puton_force", array("client_key" => $site_key,
                                                                    "user_code"  => $user_code,
                                                                    "item_keys"  => $item_key));
            if (!$return["result"]) {
                $ERROR[] = $return["error_shot"];
            }
        }
        //アイテム外し
        else if ($action == "PUTOFF") {
            $return = $AVAFIT->get("avatar_item_putoff", array("client_key" => $site_key,
                                                               "user_code"  => $user_code,
                                                               "item_keys"  => $item_key));
            if (!$return["result"]) {
                $ERROR[] = $return["error_shot"];
            }
        }
        //アイテム削除
        else if ($action == "DEL") {
            $return = $AVAFIT->get("avatar_item_delete", array("client_key" => $site_key,
                                                               "user_code"  => $user_code,
                                                               "item_keys"  => $item_key));
            if (!$return["result"]) {
                $ERROR[] = $return["error_shot"];
            }
        }
    }

    if (!sizeof($ERROR)) {

        // GETパラメータからURL引数を作成 20101220 k
        $params_got = null;
        if(sizeof($_GET)){
            $i = 0;
            foreach($_GET as $key=>$val){
                ++ $i ;
                if($key == "action" || $key == "item_key" || $key == "list_page"){continue;} // URL引数に入れたくないものは飛ばす
                $params_got .= $key."=".$val;
                $params_got .= ($i < sizeof($_GET)) ? "&" : "";
            }
        }

        // 完了メッセージは転送先で表示させるため。
        // アクション後の転送先を設定。
        $goto = "?".$params_got;
        // ドコモ不具合対策（http...と入れないとリダイレクトされないため）
        $gotodir = "http://".$_SERVER["HTTP_HOST"]."/".str_replace($_SERVER["DOCUMENT_ROOT"],"",dirname(__FILE__))."/";

        // actionパラメータによって、リダイレクト先を
        switch ($action){
            case "PUTON":  // クローゼット一覧へ飛ばす
                $goto = $gotodir.$rtn_page.".php".$goto."&rslt=PUTONOK&unq=".uniqid("_");
            break;
            case "DEL":    // クローゼット一覧へ飛ばす
                $goto = $gotodir.$rtn_page.".php".$goto."&rslt=DELOK&unq=".uniqid("_");
            break;
        }

        // リダイレクト
        // 「ob_end_clean();」をリダイレクト前に宣言して、バッファリングをクリア
        ob_end_clean();
        header ('Location: '.$goto);
        exit;
    }

    //アバターの呼び出し
    $return = $AVAFIT->avatar_call($site_key, $user_code);
    if (!$return["result"]) {
        $ERROR[] = $return["error_shot"];
    }
    else {
        $avatar = $return["value"];
    }

    //$actionに合わせて表示変更
    $kubun["PUTON"]  = array("TITLE"=>"着用", "MESSAGE"=>"着用しました");
    $kubun["PUTOFF"] = array("TITLE"=>"脱衣", "MESSAGE"=>"外しました");
    $kubun["DEL"]    = array("TITLE"=>"削除", "MESSAGE"=>"削除しました");

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>