<?php
    //基本モジュール呼び出し
    include_once("./lib/header.lib");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }

    //1位から10位まで
    $_HM_ITEM_CNT_LIST_PAGE = 10;

    if (!sizeof($ERROR)) {
        //アバター情報取得（性別取得のため）
        $return = $AVAFIT->get("avatar_call", array("client_key" => $site_key, "user_code" => $user_code));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $avatar = $return["value"];
            $sex = $avatar["SEX"];
        }

        //検索条件作成（「c」は共通、共通と利用者性別のアイテムだけを取得）
        $cond = "sex:c".$sex;
        //検索条件作成（１ヶ月前からの購入数ランキング）
        #$ranking_date = date("Y/m/d", mktime(0,0,0, date("m"), date("d") - _WU_RANKING_DAY_COUNT, date("Y")));
        #$cond .= ",rankdate:>=".$ranking_date;

        //カテゴリー組の選別
        //TOPのおすすめメニューから入った場合は「$f_cate_set」は「2」
        $f_cate_set = ($f_cate_set)?$f_cate_set:1;

        //カテゴリー取得
        $return = $AVAFIT->get("category_get", array("client_key"        => $site_key,
                                                     "set_kubun"         => $f_cate_set, // カテゴリーセット区分（ここでは第2組）
                                                     "parent_cate_index" => "",          // 親カテゴリーINDEX（ここでは設定なしにした）
                                                     "cond"              => $cond,       // 表示条件：性別が共通またはアバター自身の性別
                                                     "include_sub"       => true));      // サブカテゴリーを含む
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $category = $return["value"];

            //見栄えのためにカテゴリー配列にインデント挿入
            for ($i = 0; $i < sizeof($category); $i++) {
                $depth = "";
                for ($j = 1; $j <= $category[$i]["DEPTH"]; $j++) {
                    $depth .= "&nbsp;&nbsp;&nbsp;";
                }
                $exp = $depth."+ ".$category[$i]["NAME"];
                if ($category[$i]["ITEM_COUNT"]) {
                    $exp .= "(".$category[$i]["ITEM_COUNT"].")";
                }

                $cate[] = array("KEY" => $category[$i]["INDEX"], "NAME" => $exp);
            }
        }

        //アイテム一覧取得(色違いなどの子アイテムは除く)
        $return = $AVAFIT->get("category_rank_item_get", array("client_key"    => $site_key,
                                                               "set_kubun"     => $f_cate_set,
                                                               "cate_indexes"  => $f_cate,
                                                               "page"          => ($offset/_WU_ITEM_CNT_LIST_PAGE)+1,
                                                               "pagePerRecord" => _WU_ITEM_CNT_LIST_PAGE,
                                                               "cond"          => $cond,
                                                               "include_sub"   => true));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $item_info = $return["value"];
            $items = $item_info["ITEMS"];

            //表示アイテム数
            if ($item_info["ITEM_TOTAL_COUNT"] > _WU_RANKING_COUNT) {
                $item_count = _WU_RANKING_COUNT;
            }
            else {
                $item_count = $item_info["ITEM_TOTAL_COUNT"];
            }
        }
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>